Package org.apache.commons.math3.analysis.differentiation

# Interface MultivariateDifferentiableFunction

All Superinterfaces:
  `MultivariateFunction`

public interface MultivariateDifferentiableFunction extends MultivariateFunction
Extension of `MultivariateFunction` representing a multivariate differentiable real function.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`DerivativeStructure`
`value(DerivativeStructure[] point)`
Compute the value for the function at the given point.

### Methods inherited from interface org.apache.commons.math3.analysis.MultivariateFunction

`value`

## Method Details

### value

DerivativeStructure value(DerivativeStructure[] point) throws MathIllegalArgumentException
Compute the value for the function at the given point.

Parameters:
  `point` - Point at which the function must be evaluated.
Returns:
  the function value for the given point.
Throws:
  `MathIllegalArgumentException` - if `point` does not satisfy the function's constraints (wrong dimension, argument out of bound, or unsupported derivative order for example)